Get all final discharge locations
get
/fscmRestApi/resources/11.13.18.05/fiscalDocumentFinalDischargeLocationsLOV
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the final discharge location with the specified location identifier.
Finder Variables- LocationId; integer; The unique identifier for the final discharge location.
- findByCountryAndStateAndCityAndProvinceAndPostalCodeAndCounty Finds final discharge locations that match the specified country, state, city, province, postal code, and county.
Finder Variables- bindCountryCode; string; Country code for the final discharge location.
- bindFinalDiscLocType; string; Final discharge location type.
- findByLocationId Finds final discharge locations with the specified location identifier.
Finder Variables- bindLocationId; integer; The unique identifier for the final discharge location.
- PrimaryKey Finds the final discharge location with the specified location identifier.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- Address; string; The address of the final discharge location.
- City; string; The city where the final discharge location is situated.
- Country; string; The country where the final discharge location is located.
- County; string; The country in which the final discharge location is found.
- FinalDischargeLocType; string; The code indicating the type of final discharge location.
- FinalDischargeLocTypeName; string; The name of the final discharge location type.
- LocationCode; string; The code assigned to the final discharge location.
- LocationId; integer; The unique identifier for the final discharge location.
- PostalCode; string; The postal code for the final discharge location.
- Province; string; The province in which the final discharge location is situated.
- State; string; The state where the final discharge location is located.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : fiscalDocumentFinalDischargeLocationsLOV
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : fiscalDocumentFinalDischargeLocationsLOV-item-response
Type:
Show Source
object-
Address: string
Title:
AddressRead Only:trueMaximum Length:1082The address of the final discharge location. -
City: string
Title:
CityRead Only:trueMaximum Length:60The city where the final discharge location is situated. -
Country: string
Title:
Country CodeRead Only:trueMaximum Length:2The country where the final discharge location is located. -
County: string
Read Only:
trueMaximum Length:60The country in which the final discharge location is found. -
FinalDischargeLocType: string
Read Only:
trueMaximum Length:30The code indicating the type of final discharge location. -
FinalDischargeLocTypeName: string
Title:
Location TypeRead Only:trueMaximum Length:80The name of the final discharge location type. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LocationCode: string
Title:
CodeRead Only:trueMaximum Length:240The code assigned to the final discharge location. -
LocationId: integer
Read Only:
trueThe unique identifier for the final discharge location. -
PostalCode: string
Title:
Postal CodeRead Only:trueMaximum Length:60The postal code for the final discharge location. -
Province: string
Read Only:
trueMaximum Length:60The province in which the final discharge location is situated. -
State: string
Read Only:
trueMaximum Length:60The state where the final discharge location is located.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.